TestResults-class {limma} | R Documentation

## Matrix of Test Results - class

### Description

A matrix-based class for storing the results of simultanous tests. `TestResults` objects are normally created by `classifyTestsF`, `classifyTestsT` or `classifyTestsP`.

### Usage

    ## S3 method for class 'TestResults':
    summary(object, ...)

### Arguments

`object` | object of class `TestResults`
`...` | other arguments are not used

### Slots/List Components

`TestResults` objects can be created by `new("TestResults",results)` where `results` is a matrix. Objects of this class contain no slots (other than `.Data`), although the attributes `dim` and `dimnames` may be treated as slots.

### Methods

This class inherits directly from class `matrix` so any operation appropriate for matrices will work on objects of this class. `show` and `summary` methods are also implemented.

Functions in LIMMA which operate on `TestResults` objects include `heatDiagram`, `vennCounts`, `vennDiagram`, `write.fit`.

### Author(s)

Gordon Smyth

### See Also

02.Classes gives an overview of all the classes defined by this package. 08.Tests gives an overview of multiple testing.

### Examples

    ## Not run:
    #  Assume a data object MA and a design matrix
    fit <- lmFit(MA, design)
    fit <- eBayes(fit)
    results <- decideTests(fit)
    summary(results)
    ## End(Not run)

[Package limma version 2.16.5 Index]